Warning: Undefined property: stdClass::$auto_currency_detection in /home/pushhub/public_html/app/core/App.php on line 117 RSS автоматизации  – документация по API - PushHub

RSS автоматизации

GET https://pushhub.ru/api/rss-automations/
curl --request GET \
--url 'https://pushhub.ru/api/rss-automations/' \
--header 'Authorization: Bearer {api_key}' \
Параметры Подробности Описание
page Необязательный Целое число Номер страницы, с которой вы хотите получить результаты. По умолчанию используется значение <код>1.
results_per_page Необязательный Целое число Сколько результатов вы хотите получить на странице. Допустимые значения: 10 , 25 , 50 , 100 , 250 , 500 , 1000. По умолчанию используется значение 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "rss_url": "https://example.com/feex.xml",
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": "",
                "check_interval_seconds": 60,
                "items_count": 3,
                "campaigns_delay": 15
            },
            "segment": "all",
            "is_enabled": true,
            "total_sent_push_notifications": 0,
            "total_displayed_push_notifications": 0,
            "total_clicked_push_notifications": 0,
            "total_closed_push_notifications": 0,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-03-04 23:30:30",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushhub.ru/api/rss-automations?page=1",
        "last": "https://pushhub.ru/api/rss-automations?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushhub.ru/api/rss-automations?page=1"
    }
}
GET https://pushhub.ru/api/rss-automations/{rss_automation_id}
curl --request GET \
--url 'https://pushhub.ru/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "rss_url": "https://example.com/feex.xml",
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": "",
            "check_interval_seconds": 60,
            "items_count": 3,
            "campaigns_delay": 15
        },
        "segment": "all",
        "is_enabled": true,
        "total_sent_push_notifications": 0,
        "total_displayed_push_notifications": 0,
        "total_clicked_push_notifications": 0,
        "total_closed_push_notifications": 0,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-03-04 23:30:30",
    }
}
POST https://pushhub.ru/api/rss-automations
Параметры Подробности Описание
website_id Требуемый Целое число -
rss_url Необязательный Строка -
name Требуемый Строка -
title Требуемый Строка -
description Требуемый Строка -
url Необязательный Строка -
image Необязательный Файл -
button_title_1 Необязательный Строка -
button_url_1 Необязательный Строка -
button_title_2 Необязательный Строка -
button_url_2 Необязательный Строка -
is_silent Необязательный Логический -
is_auto_hide Необязательный Логический -
ttl Необязательный Строка Допустимые значения: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
utm_source Необязательный Строка -
utm_medium Необязательный Строка -
utm_campaign Необязательный Строка -
check_interval_seconds Необязательный Строка Допустимые значения: 900, 1800, 3600, 21600, 43200, 86400, 259200 (секунд)
items_count Необязательный Строка Допустимые значения: 1 - 100
campaigns_delay Необязательный Строка Допустимые значения: 5 - 1440
unique_item_identifier Необязательный Строка Допустимые значения: url, publication_date, id
use_rss_image Необязательный Логический -
is_enabled Необязательный Логический -
curl --request POST \
--url 'https://pushhub.ru/api/rss-automations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1
    }
}
POST https://pushhub.ru/api/rss-automations/{rss_automation_id}
Параметры Подробности Описание
website_id Необязательный Целое число -
rss_url Необязательный Строка -
name Необязательный Строка -
title Необязательный Строка -
description Необязательный Строка -
url Необязательный Строка -
image Необязательный Файл -
button_title_1 Необязательный Строка -
button_url_1 Необязательный Строка -
button_title_2 Необязательный Строка -
button_url_2 Необязательный Строка -
is_silent Необязательный Логический -
is_auto_hide Необязательный Логический -
ttl Необязательный Строка Допустимые значения: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
utm_source Необязательный Строка -
utm_medium Необязательный Строка -
utm_campaign Необязательный Строка -
check_interval_seconds Необязательный Строка Допустимые значения: 900, 1800, 3600, 21600, 43200, 86400, 259200 (секунд)
items_count Необязательный Строка Допустимые значения: 1 - 100
campaigns_delay Необязательный Строка Допустимые значения: 5 - 1440
unique_item_identifier Необязательный Строка Допустимые значения: url, publication_date, id
use_rss_image Необязательный Логический -
is_enabled Необязательный Логический -
curl --request POST \
--url 'https://pushhub.ru/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'rss_url=https://example.com/feed.xml' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pushhub.ru/api/rss-automations/{rss_automation_id}
curl --request DELETE \
--url 'https://pushhub.ru/api/rss-automations/{rss_automation_id}' \
--header 'Authorization: Bearer {api_key}' \